(function ($, Drupal) {
  Drupal.behaviors.ckCustom = {
    attach: function (context, settings) {

      // Copy URL to Clipboard.
      var clipboard = new Clipboard('.url-icon', {
        text: function() {
          return document.querySelector('#current-url').value;
        }
      });
      clipboard.on('success', function(e) {
        swal({
          title: 'Page Url has been copied!',
          type: 'success',
          showConfirmButton: false,
          timer: 2500,

        });
        e.clearSelection();
      });
      $("#current-url").val(location.href);
      // Safari.
      if (navigator.vendor.indexOf("Apple")==0 && /\sSafari\//.test(navigator.userAgent)) {
        $('.url-icon').on('click', function() {
          var msg = window.prompt("Copy this link", location.href);
        });
      }

      // Validate Dedicate option.
      $('#edit-dedicate-donation-1').change(function(){
        if($(this).is(':checked')) {
          document.getElementById('edit-dedication-information').style.display ='block';
        } else {
          document.getElementById('edit-dedication-information').style.display ='none';
        }
      });

      // Get donation amount of selected option.
      $('.form-radio').change(function(){
        var donations = document.getElementsByName('donation');

        for (var i = 0, length = donations.length; i < length; i++) {
          if (donations[i].checked && donations[i].value !== "other") {
            document.getElementById("edit-amount--2").value = donations[i].value;
            break;
          }
          if (donations[i].checked && donations[i].value === "other") {
            document.getElementById("edit-amount--2").value = "";
            break;
          }
        }
      });
    }
  };
})(jQuery, Drupal);
