<?php

namespace Drupal\campaign_kit_core\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Campaign donation type entity.
 *
 * @ConfigEntityType(
 *   id = "campaign_donation_type",
 *   label = @Translation("Campaign donation type"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\campaign_kit_core\ListBuilder\CampaignDonationTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\campaign_kit_core\Form\CampaignDonationTypeForm",
 *       "edit" = "Drupal\campaign_kit_core\Form\CampaignDonationTypeForm",
 *       "delete" = "Drupal\campaign_kit_core\Form\CampaignDonationTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\campaign_kit_core\Routing\CampaignDonationTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "campaign_donation_type",
 *   admin_permission = "administer site configuration",
 *   bundle_of = "campaign_donation",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/campaign_donation_type/{campaign_donation_type}",
 *     "add-form" = "/admin/structure/campaign_donation_type/add",
 *     "edit-form" = "/admin/structure/campaign_donation_type/{campaign_donation_type}/edit",
 *     "delete-form" = "/admin/structure/campaign_donation_type/{campaign_donation_type}/delete",
 *     "collection" = "/admin/campaign_kit/campaign_donation_types"
 *   }
 * )
 */
class CampaignDonationType extends ConfigEntityBundleBase implements CampaignDonationTypeInterface {

  /**
   * The Campaign donation type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Campaign donation type label.
   *
   * @var string
   */
  protected $label;

}
