<?php

namespace Drupal\campaign_kit_core\ListBuilder;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of Team entities.
 *
 * @ingroup campaign_kit_core
 */
class TeamListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Team ID');
    $header['name'] = $this->t('Name');
    $header['is_enabled'] = $this->t('Is Enabled');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\campaign_kit_core\Entity\Team */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.team.canonical',
      ['team' => $entity->id()]
    );
    $row['is_enabled'] = $entity->getAvailable() ? t('Yes') : t('No');
    return $row + parent::buildRow($entity);
  }

}
