<?php

namespace Drupal\campaign_kit_queuing\EventSubscriber;

use Drupal\campaign_kit_core\Entity\Campaign;
use Drupal\hook_event_dispatcher\Event\Entity\EntityViewEvent;
use Drupal\hook_event_dispatcher\HookEventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class CampaignViewEventSubscriber.
 *
 * @package Drupal\campaign_kit_queuing
 */
class CampaignViewEventSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[HookEventDispatcherInterface::ENTITY_VIEW][] = ['alterCampaign'];
    return $events;
  }

  /**
   * Alter Campaign.
   *
   * @param \Drupal\hook_event_dispatcher\Event\Entity\EntityViewEvent $event
   *   The event.
   */
  public function alterCampaign(EntityViewEvent $event) {
    $campaign = $event->getEntity();
    if ($campaign instanceof Campaign) {
      $complete = $campaign->isCampaignComplete();
      if ($complete) {
        // Flush tag cache for Campaign Entity.
        $entityManager = \Drupal::entityTypeManager();
        $campaignStorage = $entityManager->getStorage('campaign');
        $campaignStorage->resetCache([$campaign->id()]);
      }
    }
  }

}
