<?php

namespace Drupal\campaign_kit\EventSubscriber;

use Drupal\hook_event_dispatcher\Event\Views\ViewsQueryAlterEvent;
use Drupal\hook_event_dispatcher\HookEventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class ViewsEventSubscriber.
 *
 * @package Drupal\campaign_kit_demo
 */
class ViewsEventSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events = [];

    // TODO: possibly use this in the future when the patch
    // here gets in:
    // https://www.drupal.org/project/hook_event_dispatcher/issues/3016792
    //    $events[HookEventDispatcherEvents::VIEWS_QUERY_ALTER][] = ['queryAlter'];
    return $events;
  }

  /**
   * Query alter event handler.
   *
   * @param \Drupal\hook_event_dispatcher\Event\Views\ViewsQueryAlter $event
   *   The event.
   */
  public function queryAlter(ViewsQueryAlterEvent $event) {
    $view = $event->getView();
    $query = $event->getQuery();

    if ($view->storage->get('id') === 'campaign_kit_supporters' && $view->current_display === 'block_2') {
      // Do something with the view or query.
    }
  }

}
